# Crashpad: crashpad::ScopedTaskSuspend Class Reference

crashpad::ScopedTaskSuspend Class Reference

Manages the suspension of another task. More...

`#include "util/mach/scoped_task_suspend.h"`

## Public Member Functions

| ScopedTaskSuspend (task_t task)

## Detailed Description

Manages the suspension of another task.

While an object of this class exists, the other task will be suspended. Once the object is destroyed, the other task will become eligible for resumption. Note that suspensions are counted, and the task will not actually resume unless its suspend count drops to 0.

Callers should not attempt to suspend the current task (`mach_task_self()`).

The documentation for this class was generated from the following files:

- util/mach/scoped_task_suspend.h
- util/mach/scoped_task_suspend.cc